Subject: RE: bug#18253: 24.4.50; doc string of `remq': correct it per the doc of `remove'

From: Drew Adams <[email-masked]>
Date: Tue, 26 Aug 2014 21:55:36 -0700 (PDT)

> > There is nothing wrong with letting users know the actual behavior.
> 
> Of course there is: there is another possible behavior, which would
> generally be superior but which we didn't bother to implement (yet).

That's a pretty facile "of course".  Of course you can document now
the behavior it has now, and if and when you ever change the behavior
you can update the doc accordingly.  It's not like you just invented
`remq' - it's nearly as old as Lisp (at least as old as ZetaLisp).

And most (all other?) Lisps have given it the same behavior as `remove',
the only difference being to use `eq' instead of `equal'.  IOW, they
systematically copy the sequence.  All the more reason to let users
know that Emacs Lisp is exceptional in this regard.

It is this part of the Emacs definition that differs from the usual
definition, and makes Emacs `remq' unparallel with Emacs `remove':

  (while (and (eq elt (car list)) (setq list (cdr list))))